Skip to main content
POST
/
api
/
token
/
activate
Activate subscription and retrieve API token
curl --request POST \
  --url https://txline.txodds.com/api/token/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "txSig": "5kb6gnsSu1inDF9nCVV3WcgKryyBFGFkrYS28Sp1avS8mq6Xcw6iq3yzkBTjmq8bGptgqYTXPmjyWECzKzUxYG3C",
  "walletSignature": "2BvM...",
  "leagues": [
    501,
    804,
    202
  ]
}
'
"txoracle_api_123abc456def"

Authorizations

Authorization
string
header
required

User's session JWT.

Headers

Authorization
string
required

Bearer token for the user session JWT.

Body

application/json

The cryptographic payload containing the transaction signature, wallet signature, and requested leagues.

txSig
string
required
walletSignature
string
required
leagues
integer<int32>[]

Response

The newly generated API token.

The response is of type string.